# This rule is taken from https://github.com/stubbornella/csslint/tree/master/src/rules
#
#
# Copyright (c) 2011 Nicole Sullivan and Nicholas C. Zakas. All rights reserved.
# TODO: Paste the CSSLint LICENSE here.
#
#
# /*
#  * Rule: Duplicate properties must appear one after the other. If an already-defined
#  * property appears somewhere else in the rule, then it's likely an error.
#  */
# /*global CSSLint*/
# CSSLint.addRule({
# 
#     //rule information
#     id: "duplicate-properties",
#     name: "Disallow duplicate properties",
#     desc: "Duplicate properties must appear one after the other.",
#     browsers: "All",
# 
#     //initialization
#     init: function(parser, reporter){
#         var rule = this,
#             properties,
#             lastProperty;            
#             
#         function startRule(event){
#             properties = {};        
#         }
#         
#         parser.addListener("startrule", startRule);
#         parser.addListener("startfontface", startRule);
#         parser.addListener("startpage", startRule);
#         parser.addListener("startpagemargin", startRule);
#         parser.addListener("startkeyframerule", startRule);        
#         
#         parser.addListener("property", function(event){
#             var property = event.property,
#                 name = property.text.toLowerCase();
#             
#             if (properties[name] && (lastProperty != name || properties[name] == event.value.text)){
#                 reporter.report("Duplicate property '" + event.property + "' found.", event.line, event.col, rule);
#             }
#             
#             properties[name] = event.value.text;
#             lastProperty = name;
#                         
#         });
#             
#         
#     }
# 
# });
