# This rule is taken from https://github.com/stubbornella/csslint/tree/master/src/rules
#
#
# Copyright (c) 2011 Nicole Sullivan and Nicholas C. Zakas. All rights reserved.
# TODO: Paste the CSSLint LICENSE here.
#
#
# /*
#  * Rule: You shouldn't use more than 10 floats. If you do, there's probably
#  * room for some abstraction.
#  */
# /*global CSSLint*/
# CSSLint.addRule({
# 
#     //rule information
#     id: "floats",
#     name: "Disallow too many floats",
#     desc: "This rule tests if the float property is used too many times",
#     browsers: "All",
# 
#     //initialization
#     init: function(parser, reporter){
#         var rule = this;
#         var count = 0;
# 
#         //count how many times "float" is used
#         parser.addListener("property", function(event){
#             if (event.property.text.toLowerCase() == "float" &&
#                     event.value.text.toLowerCase() != "none"){
#                 count++;
#             }
#         });
# 
#         //report the results
#         parser.addListener("endstylesheet", function(){
#             reporter.stat("floats", count);
#             if (count >= 10){
#                 reporter.rollupWarn("Too many floats (" + count + "), you're probably using them for layout. Consider using a grid system instead.", rule);
#             }
#         });
#     }
# 
# });
