# This rule is taken from https://github.com/stubbornella/csslint/tree/master/src/rules
#
#
# Copyright (c) 2011 Nicole Sullivan and Nicholas C. Zakas. All rights reserved.
# TODO: Paste the CSSLint LICENSE here.
#
#
# /*
#  * Rule: Don't use IDs for selectors.
#  */
# /*global CSSLint*/
# CSSLint.addRule({
# 
#     //rule information
#     id: "ids",
#     name: "Disallow IDs in selectors",
#     desc: "Selectors should not contain IDs.",
#     browsers: "All",
# 
#     //initialization
#     init: function(parser, reporter){
#         var rule = this;
#         parser.addListener("startrule", function(event){
#             var selectors = event.selectors,
#                 selector,
#                 part,
#                 modifier,
#                 idCount,
#                 i, j, k;
# 
#             for (i=0; i < selectors.length; i++){
#                 selector = selectors[i];
#                 idCount = 0;
# 
#                 for (j=0; j < selector.parts.length; j++){
#                     part = selector.parts[j];
#                     if (part.type == parser.SELECTOR_PART_TYPE){
#                         for (k=0; k < part.modifiers.length; k++){
#                             modifier = part.modifiers[k];
#                             if (modifier.type == "id"){
#                                 idCount++;
#                             }
#                         }
#                     }
#                 }
# 
#                 if (idCount == 1){
#                     reporter.report("Don't use IDs in selectors.", selector.line, selector.col, rule);
#                 } else if (idCount > 1){
#                     reporter.report(idCount + " IDs in the selector, really?", selector.line, selector.col, rule);
#                 }
#             }
# 
#         });
#     }
# 
# });
