# This rule is taken from https://github.com/stubbornella/csslint/tree/master/src/rules
#
#
# Copyright (c) 2011 Nicole Sullivan and Nicholas C. Zakas. All rights reserved.
# TODO: Paste the CSSLint LICENSE here.
#
#
# /*
#  * Rule: Selectors that look like regular expressions are slow and should be avoided.
#  */
# /*global CSSLint*/
# CSSLint.addRule({
# 
#     //rule information
#     id: "regex-selectors",
#     name: "Disallow selectors that look like regexs",
#     desc: "Selectors that look like regular expressions are slow and should be avoided.",
#     browsers: "All",
# 
#     //initialization
#     init: function(parser, reporter){
#         var rule = this;
# 
#         parser.addListener("startrule", function(event){
#             var selectors = event.selectors,
#                 selector,
#                 part,
#                 modifier,
#                 i, j, k;
# 
#             for (i=0; i < selectors.length; i++){
#                 selector = selectors[i];
#                 for (j=0; j < selector.parts.length; j++){
#                     part = selector.parts[j];
#                     if (part.type == parser.SELECTOR_PART_TYPE){
#                         for (k=0; k < part.modifiers.length; k++){
#                             modifier = part.modifiers[k];
#                             if (modifier.type == "attribute"){
#                                 if (/([\~\|\^\$\*]=)/.test(modifier)){
#                                     reporter.report("Attribute selectors with " + RegExp.$1 + " are slow!", modifier.line, modifier.col, rule);
#                                 }
#                             }
# 
#                         }
#                     }
#                 }
#             }
#         });
#     }
# 
# });
